@use "sass:math";

@import '../../styles/variables';
@import '../../styles/input-mixins';

@include _cui-input-base-global('.cui-input-datepicker');

$sizes: s, m, l;
@each $size in $sizes {
  $btn-width: cui-height($size) + 0.5rem;
  @include _cui-input-size-global($size, $btn-width, '.cui-input-datepicker') {
    .calendar {
      right: $cui-input-padding-h;

      .portal-container {
        width: $btn-width * 0.5;
        height: $btn-width * 0.5;
        margin: math.div($btn-width, 6)  0.625rem;
      }

      .cui-button {
        width: $btn-width * 0.5;
        height: $btn-width * 0.5;
        margin: math.div($btn-width, 6);

        &.clear-button {
          width: $btn-width * 0.5;
          height: $btn-width * 0.5;
          margin-right: 0.625rem;
        }
      }
    }
  }
}

.cui-input-datepicker {
  position: relative;
  display: inline-flex;
  flex: 1 1 auto;
  min-width: 0;

  .calendar {
    position: absolute;
    display: inline-flex;
    flex-direction: row;
    justify-content: center;
    height: 100%;

    .portal-container {
      position: relative;
      display: inline-flex;
      flex-shrink: 0;
      align-items: center;
      justify-content: center;
      border: none;
      outline: 0;
    }
  }

  .tippy-box {
    left: 1.25rem;
    top: 0.375rem;
  }
}
